//describe("test101", function() {
    //it("contains test101", function() {
        //console.log('creating model'); 
        //var md = new model();

        //console.log('meshing');
        //triangle(md,square[0],40000); 

        //console.log('parameterization');
        //setmask(md,'all','');
        //parameterize(md);
        //setflowequation(md,'SSA','all');
        //md.verbose.solution=2;  md.verbose.convergence=0;

        //md=solve(md,StressbalanceSolutionEnum(),'checkconsistency','no');

        //console.log(md.results['StressbalanceSolution'][0]['Vel']);
    //});
//})

//describe("test102", function() {
    //it("contains test102", function() {
        ////Test Name: SquareShelfConstrainedStressSSA3d
        //var md = new model();
        //triangle(md,square[0],180000.);
        //setmask(md,'all','');
        //parameterize(md);
        //md.extrude(md,3,2.);
        //setflowequation(md,'SSA','all');
        ////md.cluster=generic('name',oshostname(),'np',3);
        //md=solve(md,StressbalanceSolutionEnum());

        ////Fields and tolerances to track changes
        //field_names     =['Vx','Vy','Vz','Vel','Pressure'];
        //field_tolerances=[1e-13,1e-13,1e-13,1e-13,1e-13];
        //field_values=[
            //(md.results.StressbalanceSolution[0].Vx),
            //(md.results.StressbalanceSolution[0].Vy),
            //(md.results.StressbalanceSolution[0].Vz),
            //(md.results.StressbalanceSolution[0].Vel),
            //(md.results.StressbalanceSolution[0].Pressure),
            //];
    //});
//})

describe("test103", function() {
    it("contains test103", function() {
        //Test Name: SquareShelfConstrainedBedSlop2d
        var md = new model();
        triangle(md,square[0],150000.);
        setmask(md,'all','');
        parameterize(md);
        setflowequation(md,'SSA','all');
        //md.cluster=generic('name',oshostname(),'np',3);
        md=solve(md,BedSlopeSolutionEnum());

        //Fields and tolerances to track changes
        field_names     =['BedSlopeX','BedSlopeY'];
        field_tolerances=[1e-13,1e-13];
        field_values=[
            (md.results.BedSlopeSolution[0].BedSlopeX),
            (md.results.BedSlopeSolution[0].BedSlopeY),
            ];
    });
})

describe("test102", function() {
    it("contains test102", function() {
        //Test Name: SquareShelfConstrainedStressSSA3d
        var md = new model();
        triangle(md,square[0],180000.);
        setmask(md,'all','');
        parameterize(md);
        md.extrude(md,3,2.);
        setflowequation(md,'SSA','all');
        //md.cluster=generic('name',oshostname(),'np',3);
        md=solve(md,StressbalanceSolutionEnum());

        //Fields and tolerances to track changes
        field_names     =['Vx','Vy','Vz','Vel','Pressure'];
        field_tolerances=[1e-13,1e-13,1e-13,1e-13,1e-13];
        field_values=[
            (md.results.StressbalanceSolution[0].Vx),
            (md.results.StressbalanceSolution[0].Vy),
            (md.results.StressbalanceSolution[0].Vz),
            (md.results.StressbalanceSolution[0].Vel),
            (md.results.StressbalanceSolution[0].Pressure),
            ];
    });
});
